package cc.fascinated.model.user;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.annotation.Id;

import java.util.UUID;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public class UserDTO {
    /**
     * The ID of the user.
     */
    @Id
    private final UUID id;

    /**
     * The username of the user.
     * <p>
     * Usually their Steam name.
     * </p>
     */
    private String username;

    /**
     * The ID of the users steam profile.
     */
    private String steamId;
}
